function setup()
	A = generator.getMobGroup("A")
	a = generator.getMobGroup("A")
	B = generator.getMobGroup("B")
	C = generator.getMobGroup("C")

	room.setWave(1)
	room.addActor(A)
	room.addActor(B)
	
	room.setWave(2)
	room.addActor(A)
	room.addActor(a)
	room.addActor(B)
	
	room.setWave(3)
	room.addActor(A)
	room.addActor(A)
	room.addActor(a)
	
	room.setWave(4)
	room.addActor(a)
	room.addActor(B)
	room.addActor(B)
end